# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/dma/renesas,rzn1-dmamux.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Renesas RZ/N1 DMA mux

maintainers:
  - Miquel Raynal <miquel.raynal@bootlin.com>

allOf:
  - $ref: "dma-router.yaml#"

properties:
  compatible:
    const: renesas,rzn1-dmamux

  reg:
    maxItems: 1
    description: DMA mux first register offset within the system control parent.

  '#dma-cells':
    const: 6
    description:
      The first four cells are dedicated to the master DMA controller. The fifth
      cell gives the DMA mux bit index that must be set starting from 0. The
      sixth cell gives the binary value that must be written there, ie. 0 or 1.

  dma-masters:
    minItems: 1
    maxItems: 2

  dma-requests:
    const: 32

required:
  - reg
  - dma-requests

additionalProperties: false

examples:
  - |
    dma-router@a0 {
      compatible = "renesas,rzn1-dmamux";
      reg = <0xa0 4>;
      #dma-cells = <6>;
      dma-masters = <&dma0 &dma1>;
      dma-requests = <32>;
    };
